<?php


    /*
     Plugin Name: Elbuntu Pins 
     Plugin URI: http://elbuntu.com
     Description: Elbuntu Pins is a plugin that allows you to display your Pinterest Pins on your website.
     Author: Ashley Johnson
     Author URI: http://elbuntu.com
     License: GNU GENERAL PUBLIC LICENSE 3.0 http://www.gnu.org/licenses/gpl.txt
     Version: 2.1
     Text-Domain: elbuntu-pins
     Site Wide Only: true
    */

    /********************************
     * Activate the plugin for use! *
     *******************************/

    function ep_activate() {

        //Activate the plugin and install the tables

        global $wpdb;

        $wpdb->query("CREATE TABLE ep_pinterest_settings (
            id int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            option_name varchar(255),
            option_value varchar(255));");

        $wpdb->query(sprintf("INSERT INTO ep_pinterest_settings (option_name, option_value) VALUES ('%s', '%s')", "username", "pinterest"));
        $wpdb->query(sprintf("INSERT INTO ep_pinterest_settings (option_name, option_value) VALUES ('%s', '%s')", "template", "Default"));
        $wpdb->query(sprintf("INSERT INTO ep_pinterest_settings (option_name, option_value) VALUES ('%s', '%s')", "pincolumns", "3"));
        $wpdb->query(sprintf("INSERT INTO ep_pinterest_settings (option_name, option_value) VALUES ('%s', '%s')", "pinborder", "yes"));
        $wpdb->query(sprintf("INSERT INTO ep_pinterest_settings (option_name, option_value) VALUES ('%s', '%s')", "linkwindow", "New Tab"));
    
    }

    register_activation_hook( __FILE__, 'ep_activate' );

    function ep_deactivate() {

        //Remove tables
        global $wpdb;

        $wpdb->query("DROP TABLE ep_pinterest_settings");

    }

    register_deactivation_hook( __FILE__, 'ep_deactivate');

    //Build the backend menu

    function ep_admin_menu() {

        if(!is_super_admin()):
            return false;
        endif;

        require ( dirname( __FILE__ ) . '/admin/admin.php' );

        add_menu_page('Elbuntu Pins', 'Pins', 'manage_options', 'pins-menu', 'init_pinterest');

    }

    add_action( 'admin_menu', 'ep_admin_menu' );

    //INCLUDE FRONT END 
    require( dirname( __FILE__ ) . '/pins-engine.php' );

?>